com.ibm.openpages.api.workflow

## Interface IWFBaseFindOptions

- All Superinterfaces:
    IBaseFindOptions
  All Known Subinterfaces:
    IWFActivityInstanceFindOptions, IWFProcessDefinitionFindOptions

      public interface IWFBaseFindOptions
      extends IBaseFindOptions

  Base interface for workflow object fetching options.
  Since:
    8.0.0.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCondition(IWFSearchCondition condition)` Add a search condition
    `java.util.List<IWFSearchCondition>` | `getConditions()` Returns the search conditions
    `int` | `getPageNum()` Returns the Page number that needs to be retrieved in the search results when `IBaseFindOptions.getIsPagingOn()` is true
    `int` | `getResultsPerPage()` Get the results per page when `IBaseFindOptions.getIsPagingOn()` is true
    `void` | `setConditions(java.util.List<IWFSearchCondition> conditions)` Set the search conditions
    `void` | `setPageNum(int pageNum)` Set the page number to be retrieved in the search results.
    `void` | `setResultsPerPage(int resultsPerPage)` Set the results per page when `IBaseFindOptions.getIsPagingOn()` is true
    `void` | `setSortFieldName(java.lang.String sortFieldName)` Set the sort field name.

    - ### Methods inherited from interface com.ibm.openpages.api.rule.IBaseFindOptions

      `getAndOr, getIncludeTotalCount, getIsPagingOn, getMaxResults, getReturnLastRow, getReturnOnlyCounts, getReturnStartRow, getSortDirection, getSortFieldName, setAndOr, setIncludeTotalCount, setMaxResults, setPagingOn, setReturnLastRow, setReturnOnlyCounts, setReturnStartRow, setSortDirection`

- - ### Method Detail

    - #### setSortFieldName

          void setSortFieldName(java.lang.String sortFieldName)

      Set the sort field name. Supported fields are `WFConditionAttribute`
      Specified by:
        `setSortFieldName` in interface `IBaseFindOptions`
      Parameters:
        `sortFieldName` -

    - #### getPageNum

          int getPageNum()

      Returns the Page number that needs to be retrieved in the search results when `IBaseFindOptions.getIsPagingOn()` is true
      Specified by:
        `getPageNum` in interface `IBaseFindOptions`
      Returns:

    - #### setPageNum

          void setPageNum(int pageNum)

      Set the page number to be retrieved in the search results. Default behavior is to return all the pages of the search result when `IBaseFindOptions.getIsPagingOn()` is true
      Specified by:
        `setPageNum` in interface `IBaseFindOptions`
      Parameters:
        `pageNum` -

    - #### getConditions

          java.util.List<IWFSearchCondition> getConditions()

      Returns the search conditions
      Returns:

    - #### addCondition

          void addCondition(IWFSearchCondition condition)

      Add a search condition
      Parameters:
        `condition` -

    - #### setConditions

          void setConditions(java.util.List<IWFSearchCondition> conditions)

      Set the search conditions
      Parameters:
        `conditions` -

    - #### setResultsPerPage

          void setResultsPerPage(int resultsPerPage)

      Set the results per page when `IBaseFindOptions.getIsPagingOn()` is true
      Specified by:
        `setResultsPerPage` in interface `IBaseFindOptions`
      Parameters:
        `resultsPerPage` -

    - #### getResultsPerPage

          int getResultsPerPage()

      Get the results per page when `IBaseFindOptions.getIsPagingOn()` is true
      Specified by:
        `getResultsPerPage` in interface `IBaseFindOptions`
      Returns:

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.